1. Ensure that the DIGI WLAN device is connected to the PXI controller via a Mini-USB cable and to the RFSA via a SMA-SMA cable.

2. Open *DIGI DUT Control.vi* from the Exercises folder. This VI sends serial commands to the DIGI WLAN device to put it in various test modes.  
![Image](digiVI.png)

3. Run the VI, leaving the controls as-is. The DUT should now be transmitting bursted 802.11g packets. To verify, open the **RFSA Soft Front Panel** from Start > All Programs > National Instruments > NI-RFSA. Set the **Reference Level** control to +20 dBm, the **Center Frequency** control to 2.412 GHz, and set the **Bandwidth** to 20 MHz. You should see bursts appearing and occasionally disappearing. If you don't, contact your instructor.

4. Next, open *niWLAN 80211ag EVM.vi* from *[Program Files]\National Instruments\[LabVIEW]\examples\RF Toolkits\WLAN\analysis* directory. This VI already acquires data and performs an EVM measurement. You should be able to set the **Center Frequency** control to 2.412 GHz, set the **Power Level** to 20 dBm, set the **RFSA Resource Name** to the name of your RFSA, and run the VI to get a measurement.  
![Image](80211agExample.png)

5. Go to the block diagram and spend a moment understanding the flow. Try to match up the VIs in the code to the programming flow we just discussed. Note how the VI is performing multiple fetches to acquire the necessary data for averaging.

5. We're going to add some functionality to this VI. Begin by adding a constellation trace so we can visualize the quality of the transmitted signal. In order to get the trace, it must first be enabled. Add a **WLAN Property Node** to the block diagram and connect it into the WLAN session handle just after *niWLANA Set OFDM Demod Enabled.vi*. Select **OFDM Demod > Constellation Trace Enabled**, change to Write, and create a True constant.  
![Image](constellationEnabled.png)

6. Now that the constellation trace has been enabled, we need to fetch it. At the end of the VI, insert *niWLANA Get Current Iteration Constellation.vi* before *niWLANA Get OFDM Demod RMS EVM.vi*. Create an XY graph on the front panel and wire the output of this VI to the graph.  
![Image](fetchConstellation.png)

7. Change the plot style such that the points themselves are displayed, but the connecting lines are not. (Right-click the graph, click Properties, and use the Plots tab.) Run the VI, and you should see a constellation plot.  
![Image](constellation.png)

8. Let's also add autoleveling to the VI, so the VI can detect the power of the incoming signal and maximize dynamic range automatically. Insert *niWLANA RFSA Auto Level.vi* into the block diagram just before *niWLANA Set Power Level.vi*. This VI starts at a high power level, acquires a burst, then iteratively sets the RFSA power level until dynamic range is maximized. It then returns the optimum reference level for measurement acquisition. Wire the RFSA session handle in and out of the VI, and connect the **Carrier Frequency** and **Acquisition Length** controllers to the inputs. Delete the **Reference Level** control, and wire the **Resultant Reference Level** output of the autolevel VI to the **Maximum Input Power** input of *niWLANA Set Power Level*. In addition, create an indicator on that wire so we can see what the power level is being set to. The results should look like this:  
![image](autolevel.png)

9. Go back to the front panel and run the VI again. You should see the power level being determined by the autolevel VI in the indicator on the front panel. Go back to the DIGI DUT VI, slide the **Power Level** slider down to a lower value, run the VI, then run the EVM measurement VI again. You should see the power level decrease. If you run into problems, try increasing acquisition time to 5ms.